For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billing Agreement

Get agreement details

get
/billingAgreement/{agreementId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agreementIdstringRequired

PayPal billing agreement id

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
idstringRequired

The ID of the agreement.

statestringRequired

The state of the agreement.

descriptionstringOptional

The description of the agreement.

createTimestringRequired

The date and time when the agreement was created.

updateTimestringOptional

The date and time when the agreement was updated.

get/billingAgreement/{agreementId}
GET /oidc/paypal-ecom/billingAgreement/{agreementId}?paymentProviderContract=text HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "state": "text",
  "description": "text",
  "merchant": {
    "payeeInfo": {
      "email": "text"
    }
  },
  "payer": {
    "payerInfo": {
      "email": "text",
      "suffix": "text",
      "firstName": "text",
      "lastName": "text",
      "payerId": "text",
      "phone": "text",
      "billingAddress": {
        "country": "text",
        "postalCode": "text",
        "countrySubdivision": "text",
        "city": "text",
        "addressLine2": "text",
        "addressLine1": "text"
      }
    }
  },
  "shippingAddress": {
    "fullName": "text",
    "addressLine1": "text",
    "addressLine2": "text",
    "city": "text",
    "countrySubdivision": "text",
    "country": "text",
    "postalCode": "text"
  },
  "plan": {
    "merchantPreferences": {
      "collectShippingAddress": "text",
      "enableAddressChange": "text",
      "experienceId": "text",
      "externalSelectedFundingInstrumentType": "text",
      "allowedCountries": [
        "text"
      ]
    }
  },
  "createTime": "text",
  "updateTime": "text"
}

Show token details

get
/billingAgreement/token/{tokenId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tokenIdstringRequired

The ID of the agreement token for which to show details.

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
tokenIdstringRequired

The state of the agreement.

statusstringOptional

The description of the agreement.

descriptionstringOptional

The description of the agreement.

collectShippingAddressbooleanOptional

Indicates whether to skip the collection of the shipping address from the customer during the agreement sign-up phase.

enableAddressChangebooleanOptional

Indicates whether to show the shipping address but prevent the customer from editing it.

experienceIdstringOptional

The ID of the experience profile to apply during the agreement approval UI flow.

externalSelectedFundingInstrumentTypestring · enumOptional

The type of financial instrument (FI) that the merchant wants to promote.

Possible values:
get/billingAgreement/token/{tokenId}
GET /oidc/paypal-ecom/billingAgreement/token/{tokenId}?paymentProviderContract=text HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "tokenId": "text",
  "status": "text",
  "description": "text",
  "collectShippingAddress": true,
  "enableAddressChange": true,
  "payerInfo": {
    "email": "text",
    "suffix": "text",
    "firstName": "text",
    "lastName": "text",
    "payerId": "text",
    "phone": "text",
    "billingAddress": {
      "country": "text",
      "postalCode": "text",
      "countrySubdivision": "text",
      "city": "text",
      "addressLine2": "text",
      "addressLine1": "text"
    }
  },
  "redirectUrls": {
    "returnUrl": "text",
    "cancelUrl": "text"
  },
  "experienceId": "text",
  "externalSelectedFundingInstrumentType": "CREDIT"
}

Create billing agreement using token

post
/billingAgreement/create
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencyKeystringOptional

A value you specify that uniquely identifies the transaction. If you're unsure whether a particular transaction succeeded, you can reattempt it with the same idempotency key without worrying about duplicating the transaction.

Body
billingTokenstringRequired

PayPal agreement token

paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
idstringRequired

The ID of the agreement.

statestringRequired

The state of the agreement.

descriptionstringOptional

The description of the agreement.

createTimestringRequired

The date and time when the agreement was created.

updateTimestringOptional

The date and time when the agreement was updated.

post/billingAgreement/create
POST /oidc/paypal-ecom/billingAgreement/create HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 56

{
  "billingToken": "text",
  "paymentProviderContract": "text"
}
{
  "id": "text",
  "state": "text",
  "description": "text",
  "merchant": {
    "payeeInfo": {
      "email": "text"
    }
  },
  "payer": {
    "payerInfo": {
      "email": "text",
      "suffix": "text",
      "firstName": "text",
      "lastName": "text",
      "payerId": "text",
      "phone": "text",
      "billingAddress": {
        "country": "text",
        "postalCode": "text",
        "countrySubdivision": "text",
        "city": "text",
        "addressLine2": "text",
        "addressLine1": "text"
      }
    }
  },
  "plan": {
    "merchantPreferences": {
      "collectShippingAddress": "text",
      "enableAddressChange": "text",
      "experienceId": "text",
      "externalSelectedFundingInstrumentType": "text",
      "allowedCountries": [
        "text"
      ]
    }
  },
  "createTime": "text",
  "updateTime": "text"
}

Initiate billing agreement

post
/billingAgreement/initiate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

descriptionstringOptional

Agreement description

enableAddressChangebooleanOptional

Indicates whether to show the shipping address but prevent the customer from editing it.

collectShippingAddressbooleanOptional

Indicates whether to skip the collection of the shipping address from the customer during the agreement sign-up phase.

allowedCountriesstring[]Optional

An array of legally accepted customer country codes

experienceIdstringOptional

The ID of the experience profile to apply during the agreement approval UI flow.

externalSelectedFundingInstrumentTypestring · enumOptional

The type of financial instrument (FI) that the merchant wants to promote.

Possible values:
returnUrlstringOptional

The URL where the customer is redirected after the customer approves the payment

cancelUrlstringOptional

The URL where the customer is redirected after the customer cancels the payment

Responses
200

Successful

application/json
approvalUrlstringRequired

PayPal approval URL

billingTokenstringRequired

Billing token

post/billingAgreement/initiate
POST /oidc/paypal-ecom/billingAgreement/initiate HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 392

{
  "paymentProviderContract": "text",
  "description": "text",
  "shippingAddress": {
    "country": "text",
    "postalCode": "text",
    "countrySubdivision": "text",
    "city": "text",
    "addressLine2": "text",
    "addressLine1": "text"
  },
  "enableAddressChange": true,
  "collectShippingAddress": true,
  "allowedCountries": [
    "text"
  ],
  "experienceId": "text",
  "externalSelectedFundingInstrumentType": "CREDIT",
  "returnUrl": "text",
  "cancelUrl": "text"
}
{
  "approvalUrl": "text",
  "billingToken": "text"
}

Cancel agreement details

post
/billingAgreement/{agreementId}/cancel
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agreementIdstringRequired

PayPal billing agreement id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
stringOptional
post/billingAgreement/{agreementId}/cancel
POST /oidc/paypal-ecom/billingAgreement/{agreementId}/cancel HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 34

{
  "paymentProviderContract": "text"
}
text

Last updated

Was this helpful?